Problema con acts_as_taggable_on_asteroids

Hola a todos,
me he encontrado con un error bastante extraño cuando he intentado
utilizar el plugin acts_as_taggable_on_asteroids, el error que me
devuelve es:

ActionView::TemplateError (stack level too deep) on line #10 of
posts/new.html.erb:
7:

<%= _(“New post”) %>


8: <% form_for(@ post) do |f| %>
9: <%= f.error_messages %>
10: <%= render :partial => ‘form’, :locals => {:f => f} %>
11: <% end %>
12:
vendor/plugins/will_paginate/lib/will_paginate/finder.rb:163:in
method_missing_without_paginate' vendor/plugins/will_paginate/lib/will_paginate/finder.rb:164:inmethod_missing’
app/views/posts/_form.rhtml:33:in `_my_erb_47app47views47 posts
47_form46rhtml’

El fichero new.html.erb es:

New post

8: <% form_for(@post) do |f| %> 9: <%= f.error_messages %> 10: <%= render :partial => 'form', :locals => {:f => f} %> 11: <% end %>

Y _form.html.erb:

<%= f.text_field :name, :size => 60 %>
<%= text_field_tag :tag_list, @post.tags.collect{|t| t.name}.join(" "),
:size => “60” %>

No se en que estará creando conflicto, pero si hago lo mismo en un
proyecto nuevo, no da error.
¿Alguien sabe que es eso del stack level too deep?

Muchas gracias

Si desinstalo el plugin will_paginate funciona ¿alguna idea?

Francesc E. wrote:

Instala will_paginate desde las gemas, creo que tuve un error similar.

Gracias Francesc,
con la gema me funciona perfectamente.

Yo he me encontré con el mismo problema y se solucionó instalando la
última versión de will_paginate desde Git:

cd vendor/plugins

git clone git://github.com/mislav/will_paginate.git

Un saludo.

Instala will_paginate desde las gemas, creo que tuve un error similar.

Un saludo,

Francesc

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs